<?php
namespace EEPROM\Blacklist;

use Index\Data\IDbConnection;
use EEPROM\Uploads\UploadInfo;

class BlacklistContext {
    private BlacklistData $blacklistData;

    public function __construct(IDbConnection $dbConn) {
        $this->blacklistData = new BlacklistData($dbConn);
    }

    public function getBlacklistData(): BlacklistData {
        return $this->blacklistData;
    }

    public function createBlacklistEntry(UploadInfo|string $item, string $reason): void {
        if($item instanceof UploadInfo)
            $item = hex2bin($item->getHashString());

        $this->blacklistData->createBlacklistEntry($item, $reason);
    }

    public function getBlacklistEntry(UploadInfo|string $item): ?BlacklistInfo {
        // will this ever be useful? who knows!
        if($item instanceof UploadInfo)
            $item = hex2bin($item->getHashString());

        return $this->blacklistData->getBlacklistEntry($item);
    }
}
